CIMAG(3)

NAME
cimag, cimagf, cimagl, conj, conjf, conjl, creal, crealf, creall - functions to manipulate complex numbers

LIBRARY
libm

SYNOPSIS
#include <complex.h>
double
cimag(double complex z);
float
cimagf(float complex z);
long double
cimagl(long double complex z);
double complex
conj(double complex z);
float complex
conjf(float complex z);
long double complex
conjl(long double complex z);
double
creal(double complex z);
float
crealf(float complex z);
long double
creall(long double complex z);

DESCRIPTION
Let a+b*i denote the complex number z.

The cimag() functions return the imaginary part b.

The conj() functions return the complex conjugate a-b*i.

The creal() functions return the real part a.

STANDARDS
The cimag(), conj() and creal() functions conform to isoC-99.

HISTORY
The cimag(), conj() and creal() functions first appeared in FreeBSD 5.3.